%global momorel 2
%global md5sum_src0 4fdc5040cb8d26ae2d516c04533a6030
Summary: Framework to make scan
Name: gnomescan
Version: 0.4.0.4
Release: %{momorel}m%{?dist}
License: GPL
Group: Development/Tools
URL: http://home.gna.org/gnomescan/
%NoSource 0 http://download.gna.org/%{name}/%{name}-%{version}.tar.gz %{md5sum_src0}
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: sane-backends-devel >= 1.0.17
BuildRequires: glib2-devel >= 2.12.9
BuildRequires: gtk2-devel >= 2.10.9
BuildRequires: cairo-devel >= 1.2.6
BuildRequires: gimp-devel >= 2.2.12
BuildRequires: libgnome-devel >= 2.16.0
BuildRequires: libgnomeui-devel >= 2.16.1

%description
GnomeScan provide libgnomescan to access scanner and libgnomescanui to
build scan dialogs. It also provide flegita and scan app and
flegita-gimp, a gimp plugin that use GnomeScan libraries. Flegita
allow to simply scan an area from a device and saving to a file in
various format (currently, PNG, JPEG, TIFF and PDF are supported).

%package devel
Summary: gnomescan devel
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: glib2-devel
Requires: gtk2-devel
Requires: libgnome
Requires: libgnomeui-devel
Requires: cairo-devel

%description devel
gnomescan devel

%prep
%setup -q

%build

%configure --enable-gtk-doc --disable-probe
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install
find %{buildroot} -name "*.la" -delete

%clean
rm -rf --preserve-root %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README NEWS TODO
%{_bindir}/flegita
%{_bindir}/gnomescan-test
%{_bindir}/gnomescanui-shoot
%{_bindir}/sane-test

%{_libdir}/libgnomescan.so.*
%{_libdir}/libgnomescanui.so.*

%{_libdir}/gimp/2.0/plug-ins/flegita-gimp

%{_datadir}/applications/flegita.desktop
%{_datadir}/pixmaps/*
%{_datadir}/locale/*/*/*

%files devel
%defattr(-,root,root)
%{_includedir}/*.h
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gtk-doc/html/*

%changeLog
* Sun Feb 11 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.0.4-2m)
- revise %%post %%postun script

* Sat Feb 10 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.0.4-1m)
- initial build
